Subject: Re: FVWM: 2.3.17/18/19

From: Dominik Vogt <[email-masked]>
Date: Wed, 7 Jun 2000 22:53:56 +0200

On Wed, Jun 07, 2000 at 12:03:24PM -0700, Elliot Sowadsky wrote:
> 
> > < > Must click twice into a window for it to get focus.
> > < > I use clicktofocus mode
> 
> do you use ClickToFocusPassesClick[Off]? Passing is a default.
> 
> I dont have a ClickToFocusPassesClick entry in .fvwm2rc
> 
> 
> 
> > clicktofocus window loses focus when mouse over root
> 
> This has to do w/ multiscreen code in events.c
> 
> Dominik provided me a patch to try.
> 
>   if (ewp->window == Scr.Root && Scr.NumberOfScreens > 1)
> 
>   if(Event.xcrossing.window == Scr.Root && Scr.NumberOfScreens > 1)
> 
> Patch worked....but 2.3.19 doesnt.

Unfortunately the important part of the patch broke MouseFocus.
I removed one half but thought this one wasn't imnportant.
Obviously it is.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].